/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-05-14
 * 描述            ：合同附件表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Order.vo;
import java.io.Serializable;
import java.util.Date;

import market.Pms.Order.mapper.PurOrderAppendixMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_ORDER_APPENDIX", namespace=PurOrderAppendixMapper.class)
public class PurOrderAppendix extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -3082783697767808019L;
	/** 
	 * 附件代码(FJ+YYYYMMDD+2位流水)
	 */ 
	@Id
	private String appendix_code;
	public String getAppendix_code() {
		return this.appendix_code;
	}
	public void setAppendix_code(String appendix_code) {
		this.appendix_code = appendix_code;
	}

	/** 
	 * 附件名称(默认文件名)
	 */ 
	@Column
	private String appendix_name;
	public String getAppendix_name() {
		return this.appendix_name;
	}
	public void setAppendix_name(String appendix_name) {
		this.appendix_name = appendix_name;
	}

	/** 
	 * 附件描述
	 */ 
	@Column
	private String appendix_desc;
	public String getAppendix_desc() {
		return this.appendix_desc;
	}
	public void setAppendix_desc(String appendix_desc) {
		this.appendix_desc = appendix_desc;
	}

	/** 
	 * 附件存储路径
	 */ 
	@Column
	private String appendix_path;
	public String getAppendix_path() {
		return this.appendix_path;
	}
	public void setAppendix_path(String appendix_path) {
		this.appendix_path = appendix_path;
	}
	
	/** 
	 * 合同号pk
	 */ 
	@Column
	private String contract_pk;
	public String getContract_pk() {
		return contract_pk;
	}
	public void setContract_pk(String contract_pk) {
		this.contract_pk = contract_pk;
	}

	/** 
	 * 合同号
	 */ 
	@Column
	private String contract_no;
	public String getContract_no() {
		return this.contract_no;
	}
	public void setContract_no(String contract_no) {
		this.contract_no = contract_no;
	}

	/** 
	 * 创建人ID
	 */ 
	@Column
	private String create_userid;
	public String getCreate_userid() {
		return this.create_userid;
	}
	public void setCreate_userid(String create_userid) {
		this.create_userid = create_userid;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人ID
	 */ 
	@Column
	private String update_userid;
	public String getUpdate_userid() {
		return this.update_userid;
	}
	public void setUpdate_userid(String update_userid) {
		this.update_userid = update_userid;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
